FOUNDRIES.IO INSIGHTS

microPlatform update 72

July 25, 2020

Linux microPlatform

Highlights

  • Bitbake updated to post 1.47.0 release
  • Boost updated to the 1.73.0 release
  • Curl updated to the 7.71.1 release
  • Docker-CE updated to the v19.03.12 release
  • Docker-Compose updated to the 1.26.0 release
  • Dropbear updated to the 2020.80 release
  • GCC updated to the 10.1 release
  • Git updated to the 2.27.0 release
  • Go updated to the 1.14.4 stable release
  • Intel-microcode updated to the 20200616 release
  • Linux-firmware updated to the 20200619 snapshot
  • Linux-lmp updated to the 5.4.51 stable release
  • ModemManager updated to the 1.12.12 stable release
  • NetworkManager updated to the 1.22.14 stable release
  • OpenSBI updated to the v0.8 release
  • OpenSSH updated to the 8.3p1 release
  • Ovmf updated to the 202005 release
  • Python3 updated to the 3.8.3 release
  • Qemu updated to the v5.0.0 release
  • Systemd updated to v245.6 stable release

Layer Updates

Meta LMP

  • base: aktualizr: make use of boot-complete.target
  • base: aktualizr: sync with meta-updater a7189aa
  • base: docker-ce: depend on boot-complete.target
  • base: docker-ce: prefer docker.service instead of socket
  • base: docker-ce: restart in case of service failure
  • base: docker: configurable number of max concurrent downloads
  • base: docker: make max download attempts configurable
  • base: fioconfig: bump to e70e6ab
  • base: gcc: drop musl dynamic linker patch
  • base: linux: introduce linux-lmp-dev-mfgtool recipe
  • base: linux-lmp: bump kernel to 5.4.51
  • base: linux-lmp-dev: add workaround for oe-core e684532
  • base: lmp: extend bbmask for meta-toradex-bsp-common
  • base: lmp: extend bbmask for meta-toradex-nxp
  • base: lmp-image-common: only increase overhead factor for QEMU targets
  • base: lmp: update bbmask list for meta-toradex-nxp
  • base: optee-os: bump revision to 51586b1
  • base: optee-os: fix build with gcc10
  • base: optee-sks: use known SRCREV
  • base: pkcs11test: bump for gcc10 fix
  • base: sudo: set with-rundir to /run/sudo
  • base: systemd: extend default fallback ntp servers
  • base: u-boot: introduce u-boot-fio-mfgtool recipe
  • base: u-boot: sync u-boot.inc from oe-core
  • bsp: fsl-image-mfgtool-initramfs: always use virtual for depends
  • bsp: imx-atf: apalis-imx8: update to 4.14.98 2.3.1
  • bsp: imx-boot: apalis-imx8: update overrides from meta-toradex-nxp
  • bsp: imx-mkimage: apalis-imx8: add toradex bsp changes
  • bsp: linux-lmp-dev: apalis-imx8: bump revision to b63b688
  • bsp: qemu-system-native: drop backport patch
  • bsp: u-boot-fio: imx6ullevk: add specific fw_env.config
  • linux: update KERNEL_META_COMMIT for 4.19 and 5.4 branches

OpenEmbedded Core

  • aarch64: Adjust big.LITTLE tune files to use -mcpu
  • acpica: Upgrade 20200214 -> 20200528
  • adwaita-icon-theme: Add missing license files to LIC_FILES_CHKSUM
  • adwaita-icon-theme: upgrade 3.34.3 -> 3.36.1
  • alsa-lib: upgrade 1.2.1.2 -> 1.2.3.2
  • alsa-plugins: upgrade 1.2.1 -> 1.2.2
  • alsa-tools: upgrade 1.1.7 -> 1.2.2
  • alsa-topology-conf: upgrade 1.2.2 -> 1.2.3
  • alsa-topology/ucm-conf: update to 1.2.2
  • alsa-ucm-conf: upgrade 1.2.2 -> 1.2.3
  • alsa-utils: split the content into .inc
  • alsa-utils: upgrade 1.2.1 -> 1.2.3
  • apr-util: make gdbm optional
  • apt: Remove workarounds for host gcc < 5
  • apt: The C.UTF-8 locale is not portable
  • apt: update to 1.8.2.1
  • archiver.bbclass: Fix duplicated SRC_URIs for do_ar_original
  • archiver.bbclass: Make do_deploy_archives a recursive dependency
  • archiver: Capture git submodules in mirror archiver
  • archiver: Fix test case for srpm archiver mode
  • archiver: Speed up tests
  • armv8/tunes: Define TUNE_PKGARCH
  • armv8/tunes: Set TUNE_PKGARCH_64 based on ARMPKGARCH
  • asciidoc: 8.6.10 -> 9.0.0
  • at-spi2-atk: dont inherit features_check
  • automake: 1.16.1 -> 1.16.2
  • avahi-dnsconfd: rdepends on avahi-daemon
  • avahi: Don’t advertise example services by default
  • avahi: Fix typo in recipe
  • babeltrace2: upgrade 2.0.2 -> 2.0.3
  • babeltrace: correct the git SRC_URI
  • baremetal-helloworld: Use baremetal-image class to deploy the application
  • baremetal-helloworld: Use do_image_complete instead of do_deploy
  • baremetal-image.bbclass: Create a class for baremetal applications or an RTOS
  • base/insane: Check pkgs lics are subset of recipe lics only once
  • bind: fix CVE-2020-86167
  • bind: update to 9.11.19
  • bison: 3.5.4 -> 3.6.4
  • bison: fix Argument list too long error
  • bison: fix the parallel build
  • bitbake.conf: fix whitespace issues
  • bitbake.conf: propagate ‘opengl’ DISTRO_FEATURE to native/nativesdk from target
  • bitbake.conf: Remove TERM from default BB_HASHBASE_WHITELIST
  • bmap-tools: update development snapshot revision
  • boost: Add upstream patch to fix build on depending projects
  • boost: upgrade 1.72.0 -> 1.73.0
  • btrfs-tools: upgrade 5.4.1 -> 5.6.1
  • build-compare: upgrade to latest revision
  • buildhistory: Add simplistic file move detection
  • buildhistory-collect-srcrevs: sort directories
  • buildstats.bbclass: Do not recalculate build start time
  • buildstats.bbclass: Remove useless variables
  • build-sysroots: add sysroot paths with native binaries to PATH
  • buildtools-tarball: export OPENSSL_CONF in environment setup
  • busybox: 1.31.1 -> 1.32.0
  • bzip2: Add test suite for bzip2
  • ca-certificates: correct upstream version check
  • ca-certificates: upgrade 20190110 -> 20200601
  • cairo: Do not try to remove nonexistent directories
  • cairo: remove trailing whitespace
  • ccache: merge ccache.inc into recipe
  • ccache: upgrade 3.7.7 -> 3.7.10
  • checklayer: parse LAYERDEPENDS with bb.utils.explode_dep_versions2()
  • checklayer: Skip layers without a collection
  • classes/archive: do_configure should not depend on do_ar_patched
  • classes/archiver: Create patched archive before configuring
  • classes/archiver: run do_unpack_and_patch after do_preconfigure
  • classes/buildhistory: capture package config
  • classes/image_types_wic: Reorder do_flush_pseudodb
  • classes/kernel: Generate reproducible kernel module tarball
  • classes/kernel: Use a copy of image for kernel rpm if fs doesn’t support symlinks
  • cmake: allow chainloading of the toolchain file
  • cmake: update 3.16.5 -> 3.17.3
  • cml1: Move find_cfgs() helper to cml1.bbclass
  • cogl-1.0: cope with missing x11 headers
  • cogl-1.0: don’t require eglmesaext.h
  • cogl-1.0: upgrade 1.22.4 -> 1.22.8
  • cogl: point to correct HOMEPAGE
  • common-licenses: add BSD-2-Clause-Patent
  • common-licenses: add “Unlicense” license file
  • common-licenses: fix filename of BSD-2-Clause-Patent
  • core-image-minimal-initramfs: keep restriction with initramfs-module-install
  • coreutils: don’t split stdbuf to own package with single-binary
  • cpio: add nativesdk support
  • createrepo-c: upgrade 0.15.7 -> 0.15.11
  • cups.inc: remove template service from SYSTEMD_SERVICE
  • cups: upgrade 2.3.1 -> 2.3.3
  • curl: add debug info
  • curl: upgrade 7.70.0 -> 7.71.1
  • cve-check: include epoch in product version output
  • cve-check: Run it after do_fetch
  • db: do not install db_verify if ‘verify’ is not enabled
  • dbus,dbus-test: Move common parts to dbus.inc
  • dbus-test: Remove EXTRA_OECONF_X configs
  • dbus-test: upgrade 1.12.16 -> 1.12.18
  • dbus: upgrade 1.12.16 -> 1.12.20
  • debianutils: 4.9.1 -> 4.11
  • debianutils: whitespace fixes
  • deploy.bbclass: Clean DEPLOYDIR before do_deploy
  • desktop-file-utils: upgrade 0.24 -> 0.26
  • devtool: default to empty string, if LIC_FILES_CHKSUM is not available
  • devtool: do not write md5sums into upgraded recipes
  • devtool: fix typo
  • devtool: use -f and don’t use –exclude-standard when adding files to workspace
  • diffoscope: upgrade 143 -> 150
  • distro_alias: Remove unused grub-efi distro aliases
  • dnf: upgrade 4.2.21 -> 4.2.23
  • dpkg: change SRC_URI to take dpkg from git
  • dpkg-native: rebase and reinstate fix for “tar: file changed as we read it”
  • dpkg: Remove workaound patch for host tar < 1.27
  • dpkg: upgrade 1.19.7 -> 1.20.0
  • dropbear: update 2019.78 -> 2020.80
  • elfutils: upgrade 0.179 -> 0.180
  • ell: upgrade 0.31 -> 0.32
  • encodings: clear postinst script
  • epiphany: upgrade 3.36.1 -> 3.36.2
  • ethtool: upgrade 5.4 -> 5.7
  • features_check: Factorize code for checking features
  • features_check: Warn if not used
  • ffmpeg: disable altivec on ppc by default
  • ffmpeg: upgrade 4.2.2 -> 4.3
  • file: add bzip2-replacement-native to DEPENDS to fix sstate issue
  • file: Remove unneccessary override of PACKAGECONFIG for native
  • file: upgrade 5.38 -> 5.39
  • freetype: upgrade 2.10.1 -> 2.10.2
  • fribidi: upgrade 1.0.9 -> 1.0.10
  • gawk: upgrade 5.0.1 -> 5.1.0
  • gcc10: Default back to -fcommon
  • gcc10: Revert using __getauxval in libgcc
  • gcc: Do not set -march for arm64 for libatomic
  • gcc: Drop reverting __getauxval patch
  • gcc: Remove mudflap remnants
  • gcr: depends on gnupg-native
  • gdb: upgrade 9.1 -> 9.2
  • gettext: update 0.20.1 -> 0.20.2
  • ghostscript: Remove leftover file
  • git: upgrade 2.26.2 -> 2.27.0
  • glib-2.0: Fix stpcpy detection for mingw
  • glib-2.0: upgrade 2.64.3 -> 2.64.4
  • glibc: Do not synthesize wordsize.h for arm multilibs
  • glibc: move ld.so.conf back to main package
  • glibc: Unify wordsize.h for arm and aarch64
  • glibc: Update to latest on 2.31 branch
  • glib-networking: 2.64.2 -> 2.64.3
  • glib-networking/btrfs-tools/dosfstools/parted/bmap-tools/libsoup-2.4: add nativesdk support
  • glide: Avoid use of ‘go mod’ support
  • gnu-config: update to latest revision
  • gnu-efi: upgrade 3.0.11 -> 3.0.12
  • gnutls: Fix krb5 code license to GPLv2.1+ to match the LICENSE file.
  • gnutls: upgrade 3.6.13 -> 3.6.14
  • go: 1.14.3 -> 1.14.4
  • go.bbclass: Add -trimpath to default build flags
  • go-binary-native: add binary Go to bootstrap
  • go-binary-native: fix upstream version check
  • gobject-introspection: add a patch to fix a build race
  • go-dep: Avoid use of ‘go mod’ support
  • go-dep: Fix build on riscv64
  • go: Disbale CGO for riscv64
  • go-mod.bbclass: Add class for go mod support
  • go-native: merge bb/inc and add comment
  • graph-tool: add filter subcommand
  • graph-tool: switch to argparse
  • grub: Remove native version of grub-efi
  • gsettings-desktop-schemas: upgrade 3.36.0 -> 3.36.1
  • gst-examples: upstream releases are even numbered
  • gstreamer1.0-plugins-bad: add support for vdpau
  • gtk+3: fix reproducible build failure
  • gtk+3: upgrade 3.24.14 -> 3.24.21
  • gtk-doc: remove trailing whitespace
  • gtk-icon-cache.bbclass: add runtime dependency
  • harfbuzz: upgrade 2.6.4 -> 2.6.8
  • help2man-native: update to 1.47.15
  • icu: make filtered data generation optional, serial and off by default
  • icu: merge .inc into main recipe
  • igt-gpu-tools: add new package
  • igt-gpu-tools: Add PACKAGECONFIG for Chamelium support
  • image_types: declare support for wic.zst
  • initramfs-framework: check successful mount using mountpoint
  • initscripts/init-system-helpers: fix mountnfs.sh dependency
  • initscripts: update postinst
  • init-system-helpers: avoid superfluous update-rc.d
  • init-system-helpers: use https for fetching
  • insane: Check for feature check variables not being used
  • insane: consolidate skipping of temporary do_package files
  • install-buildtools: add option to disable checksum validation
  • install-buildtools: fail if an error occurs
  • install-buildtools: remove hardcoded x86-64 architecture
  • iproute2: upgrade 5.5.0 -> 5.7.0
  • iptables: fix invalid symbolic link for ip6tables-apply
  • iptables: split iptables-apply to its own package
  • iptables: upgrade 1.8.4 -> 1.8.5
  • iso-codes: switch upstream branch master -> main
  • iso-codes: upgrade 4.4 -> 4.5.0
  • jquery: update to 3.5.1
  • jquery: use ${S}
  • json-c: fix CVE-2020-12762
  • json-c: update 0.13.1 - > 0.14
  • kernel.bbclass: add gzip-native to do_deploy dependencies
  • kernel.bbclass: add lz4 dependency and fix the call to lz4
  • kernel.bbclass: Fix Module.symvers support
  • kernel.bbclass: make dependency on lzop-native conditional
  • kernel/reproducibility: kernel modules need SOURCE_DATE_EPOCH export
  • kernel/yocto: ensure that defconfigs are processed first
  • kernel/yocto: fix search for defconfig from src_uri
  • kmod: add nativesdk support
  • kmod: upgrade 26 -> 27
  • layer.conf: Bump OE-Core layer version
  • layer.conf: Move to gatesgarth naming
  • less: upgrade 551 -> 562
  • libarchive: upgrade 3.4.2 -> 3.4.3
  • libcap: upgrade 2.33 -> 2.36
  • libcheck: upgrade 0.14.0 -> 0.15.0
  • lib/classextend: Drop unneeded comment
  • libcpre2: update 10.34 -> 10.35
  • libdnf: update 0.47.0 -> 0.48.0
  • libdrm: upgrade 2.4.101 -> 2.4.102
  • libexif: update to 0.6.22
  • libgpg-error: update 1.37 -> 1.38
  • libical: upgrade 3.0.7 -> 3.0.8
  • libinput: upgrade 1.15.5 -> 1.15.6
  • libjpeg-turbo: upgrade 2.0.4 -> 2.0.5
  • libjpeg-turbo: whitespace fixes
  • libksba: 1.3.5 -> 1.4.0
  • libmodulemd: switch branch master -> main
  • libmodulemd: update 2.9.2 -> 2.9.4
  • libnl: Extend for native/nativesdk
  • lib/oe/patch: GitApplyTree: save 1 echo in commit-msg hook
  • lib/oe/patch: prevent applying patches without any subject
  • lib/oe/recipeutils.py: add AUTHOR; BBCLASSEXTEND
  • lib/oe/recipeutils.py: passthrough of FETCHCMD
  • libpam: Remove option ‘obscure’ from common-password
  • librepo: upgrade 1.11.2 -> 1.12.0
  • librsvg: Extend for nativesdk
  • libsdl2: enable opengl option for native/nativesdk, subject to ‘opengl’ in DISTRO_FEATURES
  • libsecret: add meson option introspection
  • libsecret: inherit features_check
  • libsolv: upgrade 0.7.10 -> 0.7.14
  • libsoup-2.4: upgrade 2.68.4 -> 2.70.0
  • libtasn1: Remove workaround for host gcc < 5
  • libubootenv: bump to revision 86bd30a
  • libubootenv: Depend on zlib
  • libubootenv: Remove the DEPENDS on mtd-utils
  • libunwind: Fix build on aarch64/musl
  • libunwind: upgrade 1.3.1 -> 1.4.0
  • liburcu: upgrade 0.12.0 -> 0.12.1
  • libuv: move from meta-oe to core for bind update
  • libuv: update to the last version in meta-oe
  • libva: upgrade 2.6.1 -> 2.7.1
  • libva-utils: upgrade 2.6.0 -> 2.7.1
  • libvorbis: upgrade 1.3.6 -> 1.3.7
  • libxcrypt: Upgrade to 4.4.16
  • libxt: fix whitespaces
  • libyaml: upgrade 0.2.2 -> 0.2.5
  • linux-firmware: add ice for Intel E800 series driver
  • linux-firmware: fix the wrong file path for ibt-misc
  • linux-firmware: move ibt-misc to the end of ibt packages
  • linux-firmware: Update to 20200122 -> 20200619
  • linux-modules.tgz: fix file permissions to root
  • linux-yocto/5.4: temporarily revert IKHEADERS in standard kernels
  • linux-yocto/5.4: update to v5.4.50
  • linux-yocto-dev: bump to 5.8-rc
  • linux-yocto: exclude from version checks/automated version updates
  • linux-yocto: gather reproducibility configs into a fragment
  • linux-yocto-rt/5.4: update to rt28
  • logrotate: Drop obsolete setting/comment
  • logrotate.py: fix testimage occasionally failure
  • ltp: Add missing dependencies on coreutils, bc, e2fsprogs and gdb
  • ltp: Add net-tools as rdependency
  • ltp: Disable sigwaitinfo tests relying on undefined behavior
  • ltp: Exclude the memcg_stress tests due to timeout problems
  • ltp: Fix copy_file_rang02 for 32-bit arches
  • ltp: Fix format security warnings with gcc10
  • ltp: Update to 20200515
  • lttng-modules: bump devupstream to v2.12.1+
  • lttng-modules: Fix “LTTng: vmalloc_sync_all symbol lookup failed” warnings
  • lttng-modules: update to 2.12.1
  • lttng-modules: upgrade to 2.12.0
  • lttng-tools: upgrade 2.12.0 -> 2.12.1
  • lttng-ust: upgrade to 2.12.0
  • lz4: disable static library
  • maintainers: Update Ross’ email address
  • make-mod-scripts: Fix a rare build race condition
  • make-mod-scripts: Fix dependence error.
  • man-db: upgrade 2.9.1 -> 2.9.3
  • man-pages: upgrade 5.05 -> 5.07
  • mdadm: remove service template from SYSTEMD_SERVICE
  • mesa: merge the .bb content into .inc
  • mesa: update 20.0.2 -> 20.1.2
  • meson: backport library ordering fix
  • meson.bbclass: avoid unexpected operating-system names
  • meson: upgrade 0.53.2 -> 0.54.3
  • meta: Don’t inherit ‘features_check’ in recipes that don’t utilize it
  • meta-selftest: add test for .patch file with long filename and without subject
  • meta-selftest: add test of .gitignore in tarball
  • mime.bbclass: fix post install scriptlet error
  • modutils-initscripts: update postinst
  • mpg123: fix upstream version check
  • mpg123: update to 1.26.1
  • msmtp: upgrade 1.8.8 -> 1.8.11
  • mtd-utils: Fix return value of ubiformat
  • mtools: upgrade 4.0.23 -> 4.0.24
  • multilib_header: Fall back to worsize form libc for bpf target
  • multilib_header_wrapper: Drop using __MHWORDSIZE
  • multilib_header_wrapper.h: Remove pragma once
  • multilib/recipes: Use new RecipePostKeyExpansion event
  • musl: Update to tip of master
  • nativesdk: clear MACHINE_FEATURES
  • nativesdk: Set the CXXFLAGS to the BUILDSDK_CXXFLAGS
  • nettle: Remove workaround for gcc < 5
  • net-tools: backport a patch from upstream to use the same ifconfig format as debian/ubuntu
  • nfs-utils: upgrade 2.4.3 -> 2.5.1
  • nfs-utils: use rpcgen tool from HOSTTOOLS_DIR
  • oeqa/concurrencytest: don’t delete build directory for failed tests
  • oeqa/core/loader: fix regex to include numbers
  • oeqa/core/loader: refine regex to find module
  • oeqa/runtime: Add OERequirePackage decorator
  • oeqa/runtime/cases/ptest: Make output content path absolute
  • oeqa/selftest: Clean up separate builddir in success case when non-threaded
  • oeqa/selftest: recipetool/devtool: Avoid load_plugin test race
  • oeqa/selftest/runcmd: Add better debug for thread count mismatch failures
  • oeqa/selftest/sstatetests: Avoid polluting DL_DIR
  • oeqa/targetcontrol: Attempt to fix log closure warning message
  • oeqa/targetcontrol: Rework exception handling to avoid warnings
  • oeqa/utils/command: Improve stdin handling in runCmd
  • oescripts: ignore whitespaces when comparing lines
  • oescripts.py: fix typo
  • oe-selftest: Allow overriding the build directory used for tests
  • oe-selftest: Recursively patch test case paths
  • oe-selftest: Support verbose log output
  • opensbi: Update to OpenSBI v0.8 release
  • openssh: Upgrade 8.2p1 -> 8.3p1
  • openssl: move ${libdir}/[…]/openssl.cnf to ${PN}-conf
  • opkg: upgrade to version 0.4.3
  • opkg-utils: upgrade to 0.4.3
  • ovmf: build natively everywhere
  • ovmf: update to 202005
  • package.bbclass: add PACKAGE_ADD_METADATA to sstate variables
  • package_deb.bbclass: add PACKAGE_ADD_METADATA_DEB to sstate variables
  • package_ipk.bbclass: add PACKAGE_ADD_METADATA_IPK to sstate variables
  • package_rpm.bbclass: add PACKAGE_ADD_METADATA_RPM to sstate variables
  • package_rpm.bbclass: respect package overrides for the main package
  • patchelf: Add patch to address corrupt shared library issue
  • patchelf: Upgrade 0.10 -> 0.11
  • pciutils: upgrade 3.6.4 -> 3.7.0
  • perl: Fix host specific modules problems
  • perl: update 5.30.2 -> 5.32.0
  • perl: use relative paths in the perl wrapper
  • piglit: upgrade to latest revision
  • pixman: upgrade 0.38.4 -> 0.40.0
  • pkgconf: upgrade 1.6.3 -> 1.7.3
  • populate_sdk_ext: Fix to use python3, not python
  • powertop: upgrade 2.10 -> 2.13
  • ppp: update 2.4.7 -> 2.4.8
  • pseudo: Fix attr errors due to incorrect library resolution issues
  • pseudo: merge in fixes for setfacl issue
  • pseudo: Switch to oe-core branch in git repo
  • ptest: append to FILES
  • ptest-runner: fix upstream version check
  • pulseaudio: exclude pre-releases from version checks
  • pulseaudio: remove unnecessary libltdl copying
  • puzzles: upgrade to latest revision
  • pycryptodome: Import from meta-python
  • pyelftools: Import from meta-python
  • python3: add ldconfig rdepends for python3-ctypes
  • python3: add rdepends for python3-idle
  • python3: add the rdepends for python3-misc
  • python3-cython: upgrade 0.29.16 -> 0.29.20
  • python3-dbusmock: add the missing rdepends
  • python3: define a profile directory path
  • python3: fix PGO for non-reproducible biniaries
  • python3-gitdb: upgrade 4.0.4 -> 4.0.5
  • python3-git: upgrade 3.1.2 -> 3.1.3
  • python3-libarchive-c: add the missing rdepends
  • python3-magic: add the missing rdepends
  • python3-magic: upgrade 0.4.15 -> 0.4.18
  • python3-mako: upgrade 1.1.1 -> 1.1.3
  • python3-numpy: update 1.18.3 -> 1.19.0
  • python3-pycairo: upgrade 1.19.0 -> 1.19.1
  • python3-pycryptodome(x): Upgrade 3.9.4 -> 3.9.7
  • python3-pyelftools: Upgrade 0.25 -> 0.26
  • python3-pygments: upgrade 2.5.2 -> 2.6.1
  • python3-pygobject: upgrade 3.34.0 -> 3.36.1
  • python3-setuptools: add missing rdepends for python3-pkg-resources
  • python3-setuptools: add the missing rdepends
  • python3-setuptools: upgrade 45.2.0 -> 47.3.1
  • python3-six: upgrade 1.14.0 -> 1.15.0
  • python3-smmap: upgrade 2.0.5 -> 3.0.4
  • python3-subunit: upgrade 1.3.0 -> 1.4.0
  • python3-testtools: upgrade 2.3.0 -> 2.4.0
  • python3: upgrade 3.8.2 -> 3.8.3
  • python-numpy: Remove workaround for host gcc < 5
  • python: use official “pypi.org” URLs for HOMEPAGE
  • qemuarm64.conf: Use cortext-a57 as default tune
  • qemuarm: check serial consoles vs /proc/consoles
  • qemu: enable virglrenderer and glx options subject to ‘opengl’ DISTRO_FEATURE
  • qemu: fix CVE-2020-10761
  • qemu: fix CVE-2020-11869
  • qemu: fix CVE-2020-13361
  • qemu: force build type to production
  • qemurunner: Add extra debug info when qemu fails to start
  • qemurunner: Ensure pid location is deterministic
  • qemurunner: fix ip fallback detection
  • qemu: switches from libcap to libcap-ng for PACAKGECONFIG virtfs
  • qemu: uprev v4.2.0 -> v5.0.0
  • re2c: fix CVE-2020-11958
  • re2c: Upgrade to 1.3
  • recipes: Fix Upstream-Status Accepted -> Backport
  • recipes-kernel/linux-firmware: Add adreno-a630 firmware package
  • recipes-kernel/linux-firmware: Add wlanmdsp.mbn to qcom-modem package
  • recipetool: create: fix SRCBRANCH not being passed to params
  • recipetool: Fix list concatenation when using edit
  • relocatable.bbclass: Avoid an exception if an empty pkgconfig dir exist
  • resulttool/log: Add ability to dump ltp logs as well as ptest
  • resulttool/report: Remove leftover debugging
  • Revert “lib/oe/patch: fix handling of patches with no header”
  • rng-tools: upgrade 6.9 -> 6.10
  • rootfs: do not let ldconfig to create symlinks
  • rootfs-postcommands: Improve/fix rootfs_check_host_user_contaminated
  • rpm: fix rpm -Kv xxx.rpm failed if signature header is larger than 64KB
  • rsync: update 3.1.3 -> 3.2.1
  • ruby: upgrade 2.7.0 -> 2.7.1
  • runqemu: If using a vmtype image do not add the -no-reboot flag
  • rxvt-unicode: Disable wtmp on musl
  • sanity.bbclass: Detect and fail if ‘inherit’ is used in conf file
  • sanity.conf: Require bitbake 1.47.0 as the minimum version
  • scripts/install-buildtools: Handle new format checksum files
  • scripts/install-buildtools: Update to 3.2 M1 buildtools
  • scripts/lib/recipetool/create.py: fix regex strings
  • security_flags: Remove stack protector flag from LDFLAGS
  • selftest-ed: Support native builds
  • selftest: git-submodule-test: New recipe for testing a gitsm SRC_URI
  • selftest-nopackages: New recipe in meta-selftest
  • serf: extend for nativesdk
  • shadow-sysroot: drop unused SRC_URI checksums
  • shared-mime-info: fix upstream version check
  • shared-mime-info: upgrade 1.15 -> 2.0
  • sign_rpm.bbclass: ignore thread count
  • spdx: Remove the class as its obsolete
  • sqlite3: upgrade 3.31.1 -> 3.32.3
  • squashfs-tools: Backport fix for compiling with gcc 10
  • sstate.bbclass: When siginfo or sig files are missing, stop fetcher errors
  • sstatesig: Account for all dataCaches being passed
  • strace: upgrade 5.5 -> 5.7
  • stress-ng: Fix build on musl
  • stress-ng: mark as incompatible with musl
  • stress-ng: upgrade 0.11.01 -> 0.11.14
  • subversion: extend for nativesdk
  • subversion: upgrade 1.13.0 -> 1.14.0
  • sudo: upgrade 1.8.31 -> 1.9.1
  • sysfsutils: rem leftover settings for libsysfs-dev
  • syslinux: Fix build with gcc10
  • sysstat: upgrade 12.2.1 -> 12.2.2
  • systemd-conf: Accept MTU from DHCP
  • systemd: fix CVE-2020-13776
  • systemd: remove kernel-install from base pkg
  • systemd-serialgetty: do not use BindsTo
  • systemd: Sync [email protected] with upstream
  • systemd: upgrade v245.5 -> v245.6
  • systemtap: upgrade 4.2 -> 4.3
  • sysvinit-inittab: Add support for tty devices with 10 or more number.
  • tcmode-default: use go-binary-native by default
  • terminal.py: do not stop searching for auto
  • testresults.json: add duration of the tests as well
  • tiff: Extend for nativesdk
  • tools-profile: disable valgrind for powerpc soft-float
  • tune-cortexa55.inc: crc and crypto extentions are default on cortex-a55
  • tune-cortexa57.inc: Add new tune file
  • u-boot: avoid blind merging all cfg
  • u-boot: fix condition to allow use of cfg
  • u-boot.inc: fix some inconsistent coding style
  • u-boot: introduce UBOOT_INITIAL_ENV
  • uboot-sign: Refactor do_deploy prefunc to do_deploy_prepend
  • u-boot: support merging .cfg files for UBOOT_CONFIG
  • util-linux: alternatify rtcwake
  • util-linux: Set license for library sub packages
  • util-linux: upgrade 2.35.1 -> 2.35.2
  • vala: upgrade 0.46.6 -> 0.48.6
  • valgrind: Backport upstream patch to fix __getauxval needs
  • valgrind: disable it for powerpc soft-float
  • valgrind: Do not use outline-atomics on aarch64
  • valgrind: upgrade 3.15.0 -> 3.16.1
  • vim: _FORTIFY_SOURCE=2 be gone
  • vim: restore the ‘chmod -x’ workaround in do_install
  • vte: Pack ${libexecdir}/vte-urlencode-cwd to vte-prompt
  • vte: Remove workaround for gcc 4.8
  • vte: tiny cleanup / renumber patch
  • vte: upgrade 0.60.2 -> 0.60.3
  • vulkan-demos: upgrade to latest revision
  • vulkan-headers: Fix upstream branch deletion issue
  • waffle: upgrade 1.6.0 -> 1.6.1
  • watchdog: upgrade 5.15 -> 5.16
  • wayland: fix condition for strndup detection
  • wic: Add –offset argument for partitions
  • wic: Fix error message when reporting invalid offset
  • wic: Fix –extra-space argument handling
  • wireless-regdb: Upgrade 2019.06.03 -> 2020.04.29
  • wpa-supplicant: remove service templates from SYSTEMD_SERVICE
  • wpa-supplicant: Security fix CVE-2020-12695
  • wpebackend-fdo: upgrade 1.6.0 -> 1.6.1
  • x264: upgrade to latest revision
  • xf86-input-libinput: upgrade 0.29.0 -> 0.30.0
  • xinetd: 2.3.15 -> 2.3.15.4
  • xinetd: switch to a maintained opensuse fork
  • xinit: add rxvt-unicode in RDEPENDS
  • xkeyboard-config: upgrade 2.29 -> 2.30
  • xz: upgrade 5.2.4 -> 5.2.5

Meta OpenEmbedded

  • ace: add new recipe
  • ace: fix installation paths when usrmerge is used
  • add python3-argexec
  • add python3-dynamic-dispatch
  • add python bitstring package
  • amtk: initial add 5.1.1
  • apache2: create log/run directory via pkg_postinst
  • asio: upgrade 1.12.2 -> 1.16.1
  • babl: upgrade 0.1.74 -> 0.1.78
  • blueman: upgrade 2.1.1 -> 2.1.3
  • brotli: fix typo for DESCRIPTION
  • ccid: upgrade 1.4.32 -> 1.4.33
  • cockpit: 219 -> 220
  • cockpit: rt-deps for storaged
  • c-periphery: add recipe
  • cpuid: upgrade 20200211 -> 20200427
  • cryptsetup: upgrade 2.3.1 -> 2.3.3
  • cunit: add ptest
  • dash: upgrade 0.5.10.2 -> 0.5.11
  • dbus-brocker: upgrade 22 -> 23
  • dconf-editor: upgrade 3.34.2 -> 3.36.2
  • dconf: upgrade 0.34.0 -> 0.36.0
  • dfu-util-native: Remove DEPLOY_DIR_TOOLS from sstate-outputdirs
  • distuils-extra: fix typo for DESCRIPTION
  • dnsmasq: upgrade 2.80 -> 2.81
  • docopt.cpp: upgrade 0.6.2 -> 0.6.3
  • drbd-utils: Add CLEANBROKEN to fix rebuild errors
  • evince: Drop unused features_check inherit
  • evince: upgrade 3.34.2 -> 3.36.5
  • evolution-data-server: upgrade 3.34.4 -> 3.36.3
  • fetchmail: upgrade 6.4.3 -> 6.4.4
  • file-roller: upgrade 3.32.5 -> 3.36.2
  • firewalld: upgrade 0.7.3 -> 0.7.5
  • Fix build error when enable multilib.
  • fluidsynth: upgrade 2.1.2 -> 2.1.3
  • freediameter: upgrade 1.3.2 -> 1.4.0
  • fuse3: Enable ptest
  • fuse3: upgrade 3.9.1 -> 3.9.2
  • gattlib: remove includedir from base package
  • gcab: Add recipe
  • gd: Extend for native and nativesdk
  • gdm: upgrade 3.34.1 -> 3.36.2
  • gedit: upgradde 3.34.1 -> 3.36.2
  • gegl: upgrade 0.4.22 -> 0.4.24
  • geoclue: select avahi-daemon if nmea enabled
  • gexiv2: upgrade 0.12.0 -> 0.12.1
  • gfbgraph: initial add 0.2.4
  • gimp: upgrade 2.10.18 -> 2.10.20
  • gnome-backgrounds: upgrade 3.34.0 -> 3.36.0
  • gnome-calculator: upgrade 3.34.1 -> 3.36.0
  • gnome-control-center: upgrade 3.34.5 -> 3.36.2
  • gnome-control-center: upgrade 3.36.2 -> 3.36.3
  • gnome-desktop3; upgrade 3.34.5 -> 3.36.2
  • gnome-desktop3: upgrade 3.36.2 -> 3.36.3.1
  • gnome-flashback: upgrade 3.34.2 -> 3.36.3
  • gnome-keyring: upgrade 3.34.0 -> 3.36.0
  • gnome-menus3: upgrade 3.32.0 -> 3.36.0
  • gnome-online-accounts: upgrade 3.34.1 -> 3.36.0
  • gnome-panel: upgrade 3.34.1 -> 3.36.1
  • gnome-photos: initial add 3.34.2
  • gnome-session: upgrade 3.34.2 -> 3.36.0
  • gnome-settings-daemon: upgrade 3.34.2 -> 3.36.1
  • gnome-system-monitor: upgrade 3.32.1 -> 3.36.1
  • gnome-terminal: upgrade 3.34.2 -> 3.36.2
  • gpsd: add new init script
  • graphene: initial add 1.10.0
  • graphviz: Extend for nativesdk
  • grilo: upgrade 0.3.10 -> 0.3.12
  • gsoap: upgrade 2.8.100 -> 2.8.103
  • gtksourceview4: upgrade 4.4.0 -> 4.6.0
  • gtksourceview: remove forgotten files
  • guider: Upgrade to 3.9.7
  • gvfs: upgrade 1.42.2 -> 1.44.1
  • haveged: upgrade 1.9.8 -> 1.9.13
  • httpfs2: mount a http url as a file based on FUSE
  • hwdata: upgrade 0.333 -> 0.336
  • ibus: upgrade 1.5.21 -> 1.5.22
  • intel-speed-select: Add new recipe for the tool to validate Intel SST
  • irssi: package libirc_proxy.a in PN-staticdev
  • jansson: upgrade 2.12 -> 2.13.1
  • jpnevulator: upgrade 2.3.4 -> 2.3.5
  • jsoncpp: upgrade 1.9.2 -> 1.9.3
  • kea: upgrade 1.7.6 -> 1.7.7
  • libblockdev: upgrade 2.23 -> 2.24
  • libcamera: Bumped to latest source revision
  • libcgi-perl: upgrade 4.47 -> 4.48
  • libconfig: remove cmake append from base package
  • libdvdcss: upgrade 1.3.0 -> 1.4.2
  • libgdata: Change PACKAGECONFIG defaults
  • libgit2: upgrade 1.0.0 -> 1.0.1
  • libgnomekbd: remove
  • libgphoto2: upgrade 2.5.24 -> 2.5.25
  • libgusb: Upgrade 0.3.0+ -> 0.3.4
  • libgweather: upgrade 3.34.0 -> 3.36.0
  • libiio: upgrade 0.19 -> 0.20
  • libiio: upgrade 0.20 -> 0.21
  • libjcat: Add recipe
  • libmcrypt: set CLEANBROKEN
  • libmypaint: upgrade 1.4.0 -> 1.6.1
  • libnet-dns-perl: upgrade 1.23 -> 1.25
  • libnfc: upgrade 1.7.1 -> 1.8.0
  • libnftnl: upgrade 1.1.6 -> 1.1.7
  • libqmi: upgrade 1.24.8 -> 1.24.12
  • librelp: upgrade 1.5.0 -> 1.6.0
  • libsass: upgrade 3.6.3 -> 3.6.4 / rename recipe
  • libtalloc: fix upstream url
  • libuv: pkg now in core, remove
  • libuv: upgrade 1.36.0 -> 1.38.0
  • libvpx: upgrade 1.8.1 -> 1.8.2
  • libwnck3: upgrade 3.32.0 -> 3.36.0
  • libxmlb: Add recipe
  • libzip: upgrade 1.6.1 -> 1.7.1
  • linuxptp: Fix segmentation fault on 32 bit platforms with 64 bit time_t
  • lirc: Add python3 to the run-time dependencies
  • lirc: Inherit distutils-common-base
  • lmsensors: do not depend on lmsensors-isatools on non-x86
  • logwatch: upgrade 7.5.1 -> 7.5.3
  • lvm2: remove service template from SYSTEMD_SERVICE
  • mcelog: upgrade 168 -> 170
  • mercurial: upgrade 5.2 -> 5.4
  • metacity: upgrade 3.34.1 -> 3.36.1
  • meta-oe: Don’t inherit ‘features_check’ in recipes that don’t utilize it
  • meta-oe toybox: enable toybox init when selected as init manager
  • meta-oe toybox-inittab: allow getty as a packageconfig feature
  • meta-oe toybox-inittab: toybox inittab implementation
  • meta-python: delete superfluous python-mako.inc
  • meta-python: depend on core version 12 or higher
  • minicoredumper: update SRC_URI to use github instead
  • mksh: upgrade 58 -> 59
  • mm-common: upgrade 1.0..0 -> 1.0.1
  • modemmanager: upgrade 1.12.10 -> 1.12.12
  • mosquitto: add native, nativesdk support
  • mosquitto: typo fix
  • mosquitto: upgrade 1.6.9 -> 1.6.10
  • mpd: fix PACKAGECONFIG assignment
  • mpv: Drop unused features_check inherit
  • mraa: Disable python2, otherwise, there is a build error when enable multilib.
  • mscgen: Extend for native and nativesdk
  • msgpack-c: add native, nativesdk support
  • multipath-tools: disable parallel build as a workaround
  • multipath-tools: Fix build with json-c 0.14 and newer
  • multipath-tools: fix compiling parallel issue
  • mypaint-brushes-1.0: upgrade 1.3.0 -> 1.3.1
  • nano: upgrade 4.9.2 -> 4.9.3
  • nautilus: upgrade 3.34.3 -> 3.36.3
  • netcat: Set CVE_PRODUCT
  • netdata: upgrade 1.17.0 -> 1.22.1
  • netkit-rsh: properly append PACKAGECONFIG
  • netplan: upgrade 0.98 -> 0.99
  • net-snmp: refresh patches
  • net-snmp: Security fix CVE-2019-20892
  • network-manager-applet: upgrade 1.16.0 -> 1.18.0
  • networkmanager: fix Files/directories were installed but not shipped
  • networkmanager: upgrade 1.22.10 -> 1.22.14
  • nftables: upgrade 0.9.4 -> 0.9.5
  • nftables: upgrade 0.9.5 -> 0.9.6
  • nghttp2: upgrade 1.40.0 -> 1.41.0
  • nspr: upgrade 4.25 -> 4.26
  • ntop: remove static libs from dev package
  • ntp: update 4.2.8p15
  • ocl-icd_git.bb: Add recipe for OpenCL ICD loaders
  • opencl-clhpp: add recipe
  • opencl: move headers and loader recipe to common directory
  • opencv: make ts module external
  • openh264: upgrade 2.1.0 -> 2.1.1
  • openipmi: upgrade 2.0.28 -> 2.0.29
  • openldap: packaging fixes
  • openldap: upgrade 2.4.49 -> 2.4.50
  • opensaf: upgrade 5.19.10 -> 5.20.05
  • paho-mqtt-c: Fix build error when enable multilib.
  • pamela: Upgrade 0.3.0 -> 1.0.0
  • passwdqc: remove double modify operation
  • physfs: fix typo for HOMEPAGE
  • plymouth: disable systemd-integration for sysvinit
  • pm-graph: add flags support for RT kernel
  • poppler: upgrade 0.88.0 -> 0.89.0
  • postfix: Upgrade 3.4.10 -> 3.4.12
  • postgresql: 12.2 -> 12.3
  • postgresql: remove vacuumlo from contrib
  • proftpd: Fix typo for SRC_URI[md5sum]
  • proj: upgrade 7.0.0 -> 7.0.1
  • protobuf-c: disable parallelism to avoid race condition
  • protobuf: Upgrade 3.11.4 -> 3.12.3
  • pugixml: fix typo for homepage
  • python3-absl: Upgrade to 0.9.0
  • python3: Add python3-cryptography to RDEPENDS for python3-redis
  • python3-aiofiles: Upgrade to 0.5.0
  • python3-ansicolors: Add recipe version 1.1.8
  • python3-ansicolors: Enable ptest
  • python3-anyjson: Enable ptest
  • python3-appdirs: Upgrade to 1.4.4
  • python3-astroid: Upgrade 2.3.3 -> 2.4.2
  • python3-atomicwrites: upgrade 1.3.0 -> 1.4.0
  • python3-autobahn: Add recipe version 20.4.3
  • python3-autobahn: Upgrade 20.4.3 -> 20.6.2
  • python3-automat: Upgrade 0.8.0 -> 20.2.0
  • python3-backports-functools-lru-cache: Enable ptest
  • python3-bcrypt: Enable ptest
  • python3-beautifulsoup4: Upgrade 4.8.2 -> 4.9.1
  • python3-betamax: add recipe
  • python3-bitarray: Upgrade 1.2.1 -> 1.2.2
  • python3-blinker: Enable ptest
  • python3-booleanpy: Upgrade 3.7 to 3.8
  • python3-cachetools: Enable ptest
  • python3-cachetools: Upgrade 4.1.0 -> 4.1.1
  • python3-can: Upgrade 3.3.2 -> 3.3.3
  • python3-cassandra-driver: Upgrade 3.14.0 -> 3.24.0
  • python3-cbor2: Add recipe version 5.1.0
  • python3-cbor2: Enable ptest
  • python3-certifi: Upgrade 2019.11.28 -> 2020.6.20
  • python3-cheetah: Upgrade 3.2.4 -> 3.2.5
  • python3-click: Enable ptest
  • python3-click: Upgrade 7.0 -> 7.1.2
  • python3-cmd2: remove double colorama in RDEPENDS
  • python3-cmd2: Upgrade 0.9.23 -> 1.1.0
  • python3-colorama: Upgrade 0.4.1 -> 0.4.3
  • python3-coloredlogs: Upgrade 10.0 -> 14.0
  • python3-configargparse: Upgrade 0.15.1 -> 1.2.3
  • python3-configobj: Add package
  • python3-configparser: Upgrade 4.0.2 -> 5.0.0
  • python3-coverage: Upgrade 5.0.2 -> 5.1
  • python3-cppy: Add new recipe
  • python3-croniter: add package
  • python3-croniter: Fix missing rdep
  • python3-croniter: Upgrade 0.3.33 -> 0.3.34
  • python3-cryptography-vectors: Upgrade 2.8 -> 2.9.2
  • python3-cython: Remove, moved to OE-core
  • python3-dateutil: Consolidate in a single file
  • python3-dbusmock: Remove, moved to OE-core
  • python3-dbus-next: Upgrade 0.1.2 -> 0.1.3
  • python3-dbussy: Upgrade 1.2.1 -> 1.3
  • python3-decorator: Consolidate in a single file
  • python3-django: upgrade 2.2.7 -> 2.2.13
  • python3-dnspython: Consolidate in a single file
  • python3-dnspython: Enable ptest
  • python3-docutils: Remove, moved to OE-core
  • python3-dominate: Enable ptest
  • python3-editor: Consolidate in a single file
  • python3-engineio: Upgrade 3.12.1 -> 3.13.0
  • python3-evdev: Consolidate in a single file
  • python3-fastnumbers: Add new package
  • python3-feedformatter: Consolidate in a single file
  • python3-flask-babel: update to 1.0.0 and consolidate
  • python3-flask-versioned: Add package
  • python3-future: Consolidate in a single file
  • python3-gast: Upgrade 0.2.2 -> 0.3.3
  • python3-geojson: Enable ptest
  • python3-gmqtt: Upgrade to 0.6.5
  • python3-google-api-python-client: Upgrade 1.7.11 -> 1.9.3
  • python3-greenlet: Consolidate in a single file
  • python3-greenlet: Upgrade 0.4.15 -> 0.4.16
  • python3-gunicorn: Enable ptest
  • python3-h2: Consolidate in a single file
  • python3-h2: Upgrade 3.1.1 -> 3.2.0
  • python3-h5py: Upgrade 2.9.0 -> 2.10.0
  • python3-html2text: Upgrade 2019.8.11 -> 2020.1.16
  • python3-html5lib: Consolidate in a single file
  • python3-html5lib: Upgrade 1.0.1 -> 1.1
  • python3-httplib2: Upgrade 0.17.3 -> 0.18.1
  • python3-huey: Add package
  • python3-humanfriendly: Upgrade 4.18 -> 8.2
  • python3-humanize: Upgrade 0.5.1 -> 2.5.0
  • python3-hyperlink: Consolidate in a single file
  • python3-icu: add new package
  • python3-idna: upgrade 2.9 -> 2.10
  • python3-imageio: Upgrade 2.6.0 -> 2.9.0
  • python3-importlib-metadata: Consolidate in a single file
  • python3-importlib-metadata: Upgrade 1.5.2 -> 1.7.0
  • python3-incremental: Consolidate in a single file
  • python3-inflection: upgrade 0.3.1 -> 0.5.0
  • python3-intervals: Enable ptest
  • python3-ipy: Enable ptest
  • python3-iso3166: Enable ptest
  • python3-iso8601: add python3-numbers to RDEPENDS
  • python3-iso8601: Consolidate in a single file
  • python3-isodate: Consolidate in a single file
  • python3-isort: Consolidate in a single file
  • python3-itsdangerous: Consolidate in a single file
  • python3-javaobj-py3: Consolidate in a single file
  • python3-jinja2: Update 2.11.1 -> 2.11.2
  • python3-jsonpatch: Consolidate in a single file
  • python3-jsonpatch: Upgrade 1.25 -> 1.26
  • python3-jsonpointer: Consolidate in a single file
  • python3-jsonref: Consolidate in a single file
  • python3-jsonrpcserver: Upgrade 4.1.2 -> 4.1.3
  • python3-jsonschema: Consolidate in a single file
  • python3-kconfiglib: Consolidate in a single file
  • python3-keras-preprocessing: Upgrade 1.1.0 -> 1.1.2
  • python3-kiwisolver: Upgrade 1.1.0 -> 1.2.0
  • python3-langtable: Upgrade 0.0.38 -> 0.0.51
  • python3-lazy-object-proxy: Consolidate in a single file
  • python3-lazy-object-proxy: Upgrade 1.4.3 -> 1.5.0
  • python3-libconf: add recipe version 2.0.1
  • python3-license-expression: Consolidate in a single file
  • python3-license-expression: Upgrade 1.0 -> 1.2
  • python3-lrparsing: Consolidate in a single file
  • python3-luma-core: Upgrade to 1.14.0
  • python3-luma-oled: Upgrade 3.4.0 -> 3.5.0
  • python3-lxml: Consolidate in a single file
  • python3-lxml: Upgrade 4.5.0 -> 4.5.1
  • python3-lz4: Upgrade 3.0.2 -> 3.1.0
  • python3-m2crypto: add the missing rdepends
  • python3-markdown: Upgrade to 3.2.2
  • python3-markupsafe: Consolidate in a single file
  • python3-matplotlib: Upgrade 3.2.1 -> 3.2.2
  • python3-mccabe: add recipe for v0.2.1
  • python3-meld3: Consolidate in a single file
  • python3-meld3: Upgrade 1.0.2 -> 2.0.1
  • python3-mock: add recipe for v4.0.1
  • python3-more-itertools: Consolidate in a single file
  • python3-more-itertools: Upgrade 8.2.0 -> 8.4.0
  • python3-msgpack: Upgrade 0.6.2 -> 1.0.0
  • python3-msk: Upgrade 0.3.13 -> 0.3.15
  • python3-msm: Upgrade 0.8.3 -> 0.8.7
  • python3-multidict: Upgrade 4.7.5 -> 4.7.6
  • python3-natsort: add new package
  • python3-ndg-httpsclient: Consolidate in a single file
  • python3-netaddr: Consolidate in a single file
  • python3-netaddr: Upgrade 0.7.19 -> 0.7.20
  • python3-netifaces: Consolidate in a single file
  • python3-networkx: Consolidate in a single file
  • python3-nmap: Upgrade 1.4.1 -> 1.4.7
  • python3-oauthlib: Consolidate in a single file
  • python3-oauthlib: Upgrade 2.0.6 -> 3.1.0
  • python3-openpyxl: Upgrade 2.6.3 -> 3.0.3
  • python3-ordered-set: Upgrade 3.1.1 -> 4.0.2
  • python3-packaging: Consolidate in a single file
  • python3-packaging: Upgrade 20.3 -> 20.4
  • python3-padatious: Upgrade 0.4.7 -> 0.4.8
  • python3-paho-mqtt: add native,nativesdk support
  • python3-pandas: Upgrade 1.0.1 -> 1.0.5
  • python3-parallax: Upgrade 1.0.5 -> 1.0.6
  • python3-parse: Consolidate in a single file
  • python3-parse-type: Consolidate in a single file
  • python3-parse-type: Upgrade 0.4.2 -> 0.5.2
  • python3-passlib: Consolidate in a single file
  • python3-pathlib2: Consolidate in a single file
  • python3-pathtools3: Add recipe version 0.2.1
  • python3-pep8: add recipe for v1.7.1
  • python3-periphery: Consolidate in a single file
  • python3-periphery: Upgrade 2.0.1 -> 2.1.0
  • python3-pexpect: Consolidate in a single file
  • python3-pid: Upgrade 2.2.5 -> 3.0.3
  • python3-pika: Consolidate in a single file
  • python3-pint: Consolidate in a single file
  • python3-pint: Upgrade 0.11 -> 0.14
  • python3-pkgconfig: Upgrade 1.4.0 -> 1.5.1
  • python3-pluggy: Consolidate in a single file
  • python3-ply: Consolidate in a single file
  • python3-pocketsphinx: 0.1.0 -> 0.1.15
  • python3-pocketsphinx: Consolidate in a single file
  • python3-pocketsphinx: Inherit features_check
  • python3-pretend: Consolidate in a single file
  • python3-prettytable: Consolidate in a single file
  • python3-progress: Consolidate in a single file
  • python3-prompt-toolkit: Consolidate in a single file
  • python3-prompt-toolkit: Upgrade 2.0.10 -> 3.0.5
  • python3-protobuf: Consolidate in a single file
  • python3-protobuf: Upgrade 3.11.3 -> 3.12.2
  • python3-psutil: Consolidate in a single file
  • python3-ptyprocess: Consolidate in a single file
  • python3-pulsectl: Upgrade 20.2.4 -> 20.5.1
  • python3-pyasn1-modules: Consolidate in a single file
  • python3-pyasn1-modules: Upgrade 0.2.7 -> 0.2.8
  • python3-pybind11: Consolidate in a single file
  • python3-pybind11: Upgrade 2.4.3 -> 2.5.0
  • python3-pybind11: Use cmake to build and add -native version
  • python3-pybluez: Upgrade 0.22 -> 0.23
  • python3-pychromecast: Upgrade 4.2.3 -> 7.1.1
  • python3-pycodestyle: upgrade 2.5.0 -> 2.6.0
  • python3-pyconnman: Consolidate in a single file
  • python3-pycparser: upgrade 2.19 -> 2.20
  • python3-pyelftools: moved to OE-Core, remove from meta-python
  • python3-pyexpect: Upgrade 1.0.19 -> 1.0.20
  • python3-pyflakes: Upgrade 2.1.1 -> 2.2.0
  • python3-pyhamcrest: Upgrade 1.9.0 -> 2.0.2
  • python3-pyjks: Upgrade 19.0.0 -> 20.0.0
  • python3-pykickstart: 3.22 -> 3.26
  • python3-pymisp: Upgrade 2.4.122 -> 2.4.128
  • python3-pyparsing: Remove, moved to OE-core
  • python3-pyparted: Consolidate in a single file
  • python3-pyparted: Upgrade 3.11.3 -> 3.11.6
  • python3-pyperclip: Upgrade 1.7.0 -> 1.8.0
  • python3-pyperf: Upgrade 1.7.1 -> 2.0.0
  • python3-pyrad: add package
  • python3-pyro4: Upgrade 4.77 -> 4.80
  • python3-pyrsistent: Upgrade 0.15.7 -> 0.16.0
  • python3-pytest-asyncio: Update 0.10.0 -> 0.12.0
  • python3-pytest-html: Update 1.6 -> 2.1.1
  • python3-pytest-metadata: Update 1.8.0 -> 1.9.0
  • python3-pytest-timeout: Upgrade 1.3.4 -> 1.4.1
  • python3-pytest: Update 5.3.5 -> 5.4.2
  • python3-pytest: upgrade 5.4.2 -> 5.4.3
  • python3-python-vlc: Upgrade 3.0.7110 -> 3.0.9113
  • python3-python-vlc: Upgrade 3.0.9113 -> 3.0.10114
  • python3-pytun: Consolidate in a single file
  • python3-pytz: upgrade 2019.3 -> 2020.1
  • python3-pyudev: Update 0.21.0 -> 0.22.0
  • python3-py: upgrade 1.8.1 -> 1.9.0
  • python3-pywbem: Consolidate in a single file
  • python3-pywbem: Upgrade 0.15.0 -> 0.17.3
  • python3-pyyaml: Update 5.3 -> 5.3.1
  • python3-rdflib: Upgrade 4.2.2 -> 5.0.0
  • python3-regex: Upgrade 2020.1.8 -> 2020.6.8
  • python3-requests-file: Upgrade 1.4.3 -> 1.5.1
  • python3-requests-futures: Upgrade 0.9.5 -> 1.0.0
  • python3-requests-toolbelt: add ptest
  • python3-requests-toolbelt: add recipe for v0.9.1
  • python3-requests: Upgrade 2.23.0 -> 2.24.0
  • python3-robotframework: Upgrade 3.0.4 -> 3.2.1
  • python3-ruamel-yaml: Upgrade 0.16.5 0> 0.16.10
  • python3-scapy: upgrade 0.25 -> 0.26
  • python3-semver: Upgrade 2.8.1 -> 2.10.2
  • python3-sentry-sdk: Upgrade 0.14.0 -> 0.16.0
  • python3-serpent: Upgrade 1.28 -> 1.30.2
  • python3-setuptools-scm: Upgrade 3.3.3 -> 4.1.2
  • python3-sh: Upgrade 1.12.14 -> 1.13.1
  • python3-smbus2: remove duplicate RDEPENDS settings
  • python3-smpplib: add package
  • python3-snappy: Add recipe version 0.5.4
  • python3-socketio: Upgrade 4.5.1 -> 4.6.0
  • python3-soupsieve: Upgrade 1.9.4 -> 2.0.1
  • python3-spidev: Upgrade 3.4 -> 3.5
  • python3-sqlalchemy: Upgrade 1.3.12 -> 1.3.18
  • python3-sqlsoup: add package
  • python3-stevedore: Upgrade 1.31.0 -> 2.0.1
  • python3-sympy: Upgrade 1.5.1 -> 1.6.1
  • python3-tinyrecord: Upgrade 0.1.5 -> 0.2.0
  • python3-toml: Extend with native build variants
  • python3-toml: Upgrade 0.10.0 -> 0.10.1
  • python3-tornado: Consolidate in a single file
  • python3-tornado: Upgrade 6.0.3 -> 6.0.4
  • python3-tqdm: Upgrade 4.43.0 -> 4.47.0
  • python3-twine: Upgrade 1.13.0 -> 3.2.0
  • python3-twisted: Consolidate in a single file
  • python3-twisted: remove double var modification
  • python3-twisted: Upgrade 19.10.0 -> 20.3.0
  • python3-typeguard: Upgrade 2.7.1 -> 2.9.1
  • python3-tzlocal: Upgrade 2.0.0 -> 2.1
  • python3-ujson: Upgrade 1.35 -> 3.0.0
  • python3-u-msgpack-python: Enable ptest
  • python3-unidiff: Enable ptest
  • python3-unidiff: Upgrade 0.5.5 -> 0.6.0
  • python3-uritemplate: Enable ptest
  • python3-urllib3: Upgrade 1.25.7 -> 1.25.9
  • python3-waitress: Upgrade 1.4.3 -> 1.4.4
  • python3-watchdog: Add recipe version 0.10.2
  • python3-watchdog: Upgrade 0.10.2 -> 0.10.3
  • python3-wcwidth: Enable ptest
  • python3-wcwidth: Upgrade 0.1.8 -> 0.2.5
  • python3-webcolors: add the missing rdepends
  • python3-webcolors: Upgrade 1.8.1 -> 1.11.1
  • python3-websocket-client: Upgrade 0.56.0 -> 0.57.0
  • python3-wheel: Upgrade 0.33.6 -> 0.34.2
  • python3-wtforms: upgrade 2.2.1 -> 2.3.1
  • python3-xxhash: Upgrade 1.4.3 -> 1.4.4
  • python3-yappi: Upgrade 1.0 -> 1.2.5
  • python3-zipp: Upgrade 0.6.0 -> 3.1.0
  • python3-zopeinterface: Upgrade to 5.1.0
  • python-django: add RDEPENDS
  • python-django: set CVE_PRODUCT to be django
  • python-html2text: Enable ptest
  • python-kconfiglib.inc: Remove
  • python-m2crypto: Add RDEPENDS
  • python-periphery: Add python-mmap to RDEPENDS
  • python-pyaudio: Consolidate in a single file
  • qpdf: fix typo in RDEPENDS
  • recipes-graphics: Add parallel-deqp-runner recipe
  • redis-plus-plus: add recipe
  • redis: upgrade 5.0.9 -> 6.0.5
  • rest: fix typo for HOMEPAGE
  • rsnapshot: upgrade 1.4.2 -> 1.4.3
  • rsyslog: upgrade 0.2004.0 -> 0.2006.0
  • rsyslog: upgrade 8.2002 -> 8.2004
  • ruli: recipe cleanup
  • safec: Update to latest on 3.5.1 release tags
  • ser2net: fix upstream check URL
  • ser2net: upgrade 4.1.5 -> 4.1.8
  • serialcheck: switch to a fork and update to the latest
  • sip3: Consolidate in a single file
  • sip3: Upgrade 4.19.19 -> 4.19.23
  • snort: upgrade 2.9.15 -> 2.9.16
  • sound-theme-freedesktop: remove double depends
  • spawn-fcgi: fix typo in SUMMARY
  • squid: upgrade 4.9 -> 4.12
  • sshfs-fuse: Enable ptest
  • sysprof: remove linux-gnueabi-patch
  • sysprof: upgrade 3.34.1 -> 3.36.0
  • tcpreplay: fix upstream check URL
  • tcpreplay: upgrade 4.3.2 -> 4.3.3
  • tepl: initial add 4.4.0
  • thrift: drop unsupported features
  • thunar: upgrade 1.8.14 -> 1.8.15
  • tinyproxy: fix upstream check URL
  • toybox: bump version to 0.8.3
  • toybox-inittab: Get rid of bashism
  • tracker: Fix build error when enable multilib.
  • tremor: update SRC_URI as project moved to gitlab
  • tslib: upgrade 1.21 -> 1.22
  • ttf-dejavu: Extend for native and nativesdk
  • ttf-fonts: Update ttf-ubuntu-font-family recipe
  • turbostat: fix the build failure for new v5.7-rc6 kernel
  • twm: upgrade 1.0.10 -> 1.0.11
  • uchardet: initial add 0.0.7
  • uftp: upgrade 4.10.2 -> 5.0
  • upm: Fix build error when enable multilib.
  • uriparser: upgrade 0.9.3 -> 0.9.4
  • use weak assignments for PNBLACKLIST in recipe files
  • vlc: Fix build with qt5 in PACKAGECONFIG and Qt >= 5.15 / renumber patches
  • vlc: upgrade 3.0.9.2 -> 3.0.11
  • wireshark: upgrade 3.2.2 -> 3.2.5
  • wxwidgets: fix typo for DESCRIPTION
  • xscreensaver: Upgrade 5.39 -> 5.44
  • xxhash: upgrade 0.7.3 -> 0.7.4
  • yelp: upgrade 3.34.0 -> 3.36.0
  • yelp-xsl: upgrade 3.34.2 -> 3.36.0
  • zbar: fix typo for DESCRIPTION
  • zchunk: upgrade 1.1.5 -> 1.1.6
  • zile: properly append PACKAGECONFIG
  • zstd: Upgrade 1.4.4 -> 1.4.5

Meta Freescale

  • c/m/i/qoriq-base.inc: tidy MACHINE_SOCARCH_FILTER
  • dpdk: fix gcc 10 maybe-uninitialized warning
  • linux-fslc-imx: update to v5.4.46
  • linux-fslc-qoriq: fix merge error
  • linux-fslc-qoriq: update to 5.4.51
  • optee-client: refresh patch applied upstream
  • optee-os: backport gcc10 compilation fix from upstream

Meta Freescale 3rdparty

  • atf: introduce lx2160acex7 support
  • conf/machine/lx2160acex7.conf: add preferred kernel
  • imx6q-dms-ba16: Fix build error and update linux-advantech
  • linux-fslc-qoriq: add lx2160acex7 support
  • linux{,-fslc}-qoriq: share lx2160acex7 with linux-qoriq
  • m28evk, m53evk: Remove un-maintained boards
  • machine/lx2160acex7.conf: enable lx2160acex7 support
  • mc-utils: introduce lx2160a support
  • rcw: introduce lx2160acex7 support
  • u-boot-qoriq: add lx2160acex7 support
  • u-boot-script-qoriq: introduce QorIQ u-boot-script
  • u-boot-variscite: Add UBOOT_INITIAL_ENV = “”
  • u-boot-variscite: Update to latest rev
  • wic/lx2160acex7.wks.in: add wic template for lx2160acex7

Meta Intel

  • hdcp: upgrade 19.4.0 -> 20.1.0
  • igt-gpu-tools: remove
  • intel-compute-runtime: upgrade 20.20.16837 -> 20.24.17065
  • intel-graphics-compiler: upgrade 1.0.4053 -> 1.0.4154
  • intel-mediasdk: upgrade 20.1.0 -> 20.1.1
  • intel-microcode: upgrade 20200609 -> 20200616
  • intel-vaapi-driver: upgrade 2.4.0 -> 2.4.1
  • libipt: upgrade 2.0.1 -> 2.0.2
  • libxcam: upgrade 1.3.0 -> 1.4.0
  • linux-intel/5.4: update to v5.4.46
  • linux-intel-dev: update to v5.6-rc3
  • linux-intel-rt/5.4: update to v5.4.44
  • lms: inherit features_check
  • lms: upgrade 2011.0.0.0 -> 2022.0.0.0
  • metee: upgrade 2.2.0 -> 2.2.2
  • onednn: upgrade 1.4 -> 1.5
  • open-model-zoo: upgrade 2020.1 -> 2020.3
  • openvino-inference-engine: fix installation of ngraph cmake
  • thermald: upgrade 1.9.1 -> 2.2

Meta RaspberryPi

  • docs/extra-build-config.md: Infrared
  • lirc.bbappend: Use lircd.service as in Raspbian
  • lirc: Move to dynamic-layers
  • lirc: Rename bbappend to match only version 0.10.1
  • packagegroup-rpi-test: resolve wireless-regdb conflict
  • rpi-base.inc: Include modules if IR is enabled
  • rpi-config: Add ENABLE_IR variable for infrared
  • rpi-u-boot-scr: Create uboot.env via boot.cmd.in
  • Update layer-contents.md to include pi4

Meta Security

  • apparmor: pull in coreutils/findutils only when not using systemd as init manager
  • clamav: resolve multilib issues
  • isafw.bbclass: typo in layer name
  • libtpm: update to 0.7.2
  • openscap: update to 1.3.3
  • packagegroup-core-security-ptest: update fail2ban ptest pkg name
  • sssd: disable build secrets
  • suricata: update to 4.1.8
  • tpm2-pkcs11: update 1.2.0
  • tpm2-tcti-uefi: drop patch no longer needed
  • tpm2-tss-engine: add branch to SRC_URI & update to tip
  • tpm2-tss: update to 2.4.1
  • tripwire: Remove makefiles from the man directories.

Meta Toradex BSP Common

  • 99-toradex.rules: fix (ec)spi rule
  • 99-toradex.rules: rename ttyX to uartX
  • apalis/colibri-imx6: add i2c-ddc rule for mainline kernel
  • apalis-tk1-mainline: follow renamed machine name
  • backports: add WiFi drivers for Gumstix AutoBSP
  • backports: replace hardcodeded path with oe prefix
  • backports: upgrade from 4.19 to 5.4
  • boot.cmd: add support for DT overlays
  • boot.cmd: clean up the variable on “for” loop
  • colibri-imx6: fix (ec)spi rule
  • colibri-imx7/emmc: fix (ec)spi rule
  • depmodwrapper: add config directory option
  • device-tree-overlays: add initial recipe
  • device-tree-overlays: split into a per kernel flavour recipe
  • device-tree-overlays: update to latest
  • fs-init: some cleaning up
  • gpio-export: clean up some variables
  • image_type_tezi.bbclass: add dtoverlays support
  • image_type_tezi.bbclass: allow inexistence of machine specific overlays
  • image_type_tezi.bbclass: drop some redundant variables
  • image_type_tezi.bbclass: fix getting list if dtbos
  • image_type_tezi.bbclass: increase min boot partition size to 3x payload
  • image_type_tezi.bbclass: remove quotes from u-boot variable
  • image_type_tezi: rename overlays folder
  • libsoc_0.8.2: finish move to pkg_postinst_ontarget
  • libusbgx: fix a packaging issue and some cleaning up
  • linux-firmware: use mrvl sdsd8997_combo_v4 from linux-firmware
  • linux-toradex: build dtb with symbols
  • linux-toradex-mainline: allow to build with rt-patch applied
  • linux-toradex-mainline: enable adv7180 config
  • linux-toradex-mainline: fix adding symbols to dtb files
  • linux-toradex-mainline-rt: drop obsolete recipe
  • linux-toradex-mainline: update to latest incl. rt-patch
  • recipes-core: udev: add rules for symlinking spi devices
  • recipes-core: udev: move emmc rules from torizon to bsp
  • systemd-conf: change wired network configuration for systemd-networkd
  • tezi-metadata: add new slides
  • tezi-metadata: replace soc overrides to also include use-mainline-bsp
  • u-boot-toradex-env.inc: drop file
  • usb-rndis-systemd: drop recipe

Meta Toradex NXP

  • apalis-imx6.conf: follow IMX_DEFAULT_BSP change
  • apalis-imx6: deploy additional device trees
  • apalis-imx8.conf: deploy additional device trees
  • apalis-imx8.conf: set IMX_DEFAULT_BSP
  • apalis-imx8x.conf: set IMX_DEFAULT_BSP
  • bmode-usb: replace soc overrides to also include use-mainline-bsp
  • colibri-imx6: deploy additional device trees
  • colibri-imx6: follow IMX_DEFAULT_BSP change
  • colibri-imx6ull: add wifi firmware
  • colibri-imx6ull.conf: drop machine conf
  • colibri-imx6ull: drop upstreamed machine and deploy additional device trees
  • colibri-imx7, colibri-imx7-emmc: deploy additional device trees
  • colibri-imx7: follow IMX_DEFAULT_BSP change
  • colibri-imx8x.conf: add comment on PREFERRED_PROVIDER_virtual/kernel_upstream_preempt-rt
  • colibri-imx8x.conf: several machine overrides fixes
  • colibri-imx8x: modify device tree name for mainline/upstream
  • device-tree-overlays: add recipe specific to the nxp downstream kernel
  • firmware: update to 4.14.98 2.3.1
  • gpu: update to 4.14.98 2.3.1
  • gstreamer: import 1.14.imx recipes from meta-freescale
  • gstreamer: import 1.14 inc files from openembedded-core
  • imx-atf: fix a uninitialized variable issue
  • imx-atf: update to 4.14.98 2.3.1
  • imx-boot.bbappend: follow upstream changes
  • imx-codec: use meta-freescale 4.5.3
  • imx-dpu-g2d: downgrade to 1.7.6
  • imx-dpu-g2d: update to 4.14.98 2.3.1
  • imx-dpu-g2d: use meta-freescale 1.8.3
  • imx-gpu-g2d: adjust version to upstream
  • imx-gpu-viv: fixup .inc file definitions for 4.14.98-2.3.0 bsp
  • imx-parser: use meta-freescale 4.5.3
  • imx-sc-firmware: Update to latest 1.3.1 scfw
  • imx-vpu-hantro: use meta-freescale 1.16.0
  • imx-vpu: use meta-freescale 5.4.39.2
  • imx-vpuwrap: use meta-freescale 4.5.3
  • kernel-module-imx-gpu-viv: adjust version to upstream
  • linux-imx-headers: adjust version to upstream
  • linux-imx-headers: update to 4.14.98 2.3.0
  • linux-toradex: add UBIFS driver back to mx7
  • linux-toradex-rt: bump to patch-4.14.170-rt75.patch
  • linux-toradex/-rt: defconfig: add bluetooth drivers for Gumstix AutoBSP
  • linux-toradex/-rt: defconfig: add sensor drivers for Gumstix AutoBSP
  • linux-toradex/-rt: defconfig: add sound drivers for Gumstix AutoBSP
  • linux-toradex-rt: synchronise defconfigs
  • linux-toradex: set LINUX_VERSION
  • linux-toradex: synchronise defconfigs
  • linux-toradex: update to 4.14-2.3.x
  • linux-toradex: update to latest
  • machines: apalis-imx8x: build for c0 silicon
  • machines: apalis-imx8x-v11a: fix image naming
  • machines: choose upstream and upstream-rt kernel
  • machines: colibri-imx8x: build for c0 silicon
  • machines: colibri-imx8x-v10b: fix image naming
  • machines: drop the imx6-mainline machines
  • machines: imx6: drop backported vivante variable assignment
  • machines: rt mainline kernel: use the common linux-toradex-mainline
  • machines: set prefered provider for mainlinish device-tree-overlays
  • machines: u-boot: use full config name
  • meta: fix some inconsistent code style
  • meta: replace upstream with use-mainline-bsp overrides in some places
  • multimedia: update to 4.14.98 2.3.0
  • multimedia: update vpu to 4.14.98 2.3.0
  • README: rework for master branches
  • Revert “u-boot: merge .cfg files for multiple configs”
  • u-boot: support merging .cfg files for UBOOT_CONFIG
  • u-boot-toradex_2018.03: add missing variables
  • u-boot-toradex_2018.03: drop UBOOT_NAME variables
  • u-boot-toradex_2018.03: update to latest
  • u-boot-toradex_2019.07: define BOOT_TOOLS
  • u-boot-toradex_2019.07: PROVIDES u-boot
  • u-boot-toradex-fw-utils: replace soc overrides to also include use-mainline-bsp
  • u-boot-toradex: i.mx8: update to imx_v2018.03_4.14.98_2.3.0
  • u-boot-toradex: inherit toradex-u-boot-localversion
  • u-boot-toradex & linux-toradex: update to latest
  • verdin-imx8mm.conf: set IMX_DEFAULT_BSP
  • verdin-imx8mm: deploy dahlia device trees
  • verdin-imx8mm: follow renamed dtb name and add new one
  • weston: imx: update to latest 5.0.0 from 4.14.98 2.3.0
  • weston.ini: use g2d for soc which support g2d
  • weston: patch weston imx for older nxp bsp
  • weston: use meta-freescale 8.0.imx
  • xf86-video-imx-vivante: downgrade to 6.2.4.p2

Meta Updater

  • Adding collectd coniguration for aktualizr
  • image_types_ostree: allow to add layer specific OSTree commit arguments
  • image_types_ostree: drop unnecessary tmp handling
  • image_types_ostree/ota: do not commit homes to the OSTree
  • image_types_ostree/ota: move home physically to /var/rootdirs/home
  • image_types_ostree/ota: use hash from ostree commit
  • image_types_ostree: use hardlink tree
  • image_types_ota: use named reference
  • initramfs-ostree-image: drop qemuboot from IMAGE_CLASSES
  • Remove boost 1.72 bbappend
  • sota_sanity.bbclass: introduce sota_check_boolean_variable

Meta Virtualization

  • ceph: fix CVE-2020-10736
  • docker-ce/docker-moby: fixup GO compiler calls
  • docker-ce: remove unused docker-registry.service file
  • docker-distribution: fix for GO cross compilation
  • docker/moby: update to v19.03.12
  • docker: move docker.init back to files directory to use it from docker-moby
  • docker: update to v19.03.12
  • kubernetes: fix ARM64 build
  • linux-raspberrypi: prefer kernel version 5.4
  • lxc: drop RT_GROUP_SCHED
  • lxc: upgrade 4.0.2 > 4.0.3
  • meta-virt-xen.inc: add Raspberry Pi settings
  • oci-runtime-tools: fix 32bit ARM build
  • podman: uprev 1.8.1 > 2.0.1
  • python3-boto3: uprev 1.11.7 > 1.14.7
  • python3-bugsnag: uprev 3.6.0 > 3.6.1
  • python3-docker-compose: uprev 1.25.5 > 1.26.0
  • python3-dockerpty: add the missing rdepends
  • python3-docker: uprev 4.2.0 > 4.2.1
  • python3-dotenv: add recipe
  • python3-flask-cors: inherit pypi
  • python3-newrelic: uprev 5.4.1.134 > 5.14.1.144
  • riddler: fix 32bit ARM build
  • runx: update to v5.4 kernel
  • xen: add patch to fix build on ARM64 with gcc 10.1.0
  • xen: apply layer settings when xen DISTRO_FEATURE is enabled
  • xen, linux-raspberrypi: add Linux kernel 5.4 patches for Xen support
  • xen, raspberry pi 4: provide a default defconfig for raspberrypi4
  • xen, raspberry pi: add dynamic-layer for Xen configuration for Rpi4
  • xen, raspberry pi: add Xen-specific SD card class
  • xen: temporarily inhibit werror
  • xen-tools: add RRECOMENDS qemu on ARM and x86 when HVM is enabled
  • xen-tools: apply kdd tool patch
  • xen-tools: use non-busybox ifupdown tool if available
  • xen, xen-tools: configure: install defconfig to ${S} not ${B}
  • xen, xen-tools: update revision to Xen 4.13

Meta Yocto

  • linux-yocto: bump genericx86 kernel version to v5.4.40
  • poky: Add Ubuntu 20.04 as a supported distro
  • poky.conf: Add Fedora 32, remove Ubuntu 19.04 and poky-2.7
  • yocto-bsps: bump reference boards to v5.4.49

Meta RISC-V

  • go-dep: Remove bbappend
  • go: Remove the recipes
  • openocd: Update to the latest SHA
  • openocd: Use the fork when building for x86 host machines
comments powered by Disqus